import 'reflect-metadata';
import { EntityClass } from './query';
export interface IdOptions {
    coalition?: string | string[];
}
export declare function Entity(): (target: Function) => void;
export declare function inherits(base: EntityClass): (target: Function) => void;
export declare function field(): (target: Object, propertyKey: string) => void;
export declare function associate(ref: EntityClass, reversedBy: string): (target: Object, propertyKey: string) => void;
export declare function id(options?: IdOptions): (target: Object, propertyKey: string) => void;
